# Visualization
TKService
AlienImage

# AlienImage_SGIRGBAlienImage Class Reference

Defines an SGI .rgb Alien image, i.e. an image using
the image format for Silicon Graphics workstations.
.

`#include <AlienImage_SGIRGBAlienImage.hxx>`

Inheritance diagram for AlienImage_SGIRGBAlienImage:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_SGIRGBAlienImage ()
| Constructs an empty SGI .rgb Alien image. .
Standard_EXPORT void | Clear ()
| Frees memory allocated by SGIRGBAlienImage .
Standard_EXPORT void | SetName (const TCollection_AsciiString &aName)
| Set Image name . .
Standard_EXPORT const TCollection_AsciiString & | Name () const
| Reads the Image name . .
Standard_EXPORT Handle_Image_Image | ToImage () const
| Converts a SGIRGBAlienImage object to a Image object. .
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| Converts a Image object to a SGIRGBAlienImage object. .
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Reads content of a SGIRGBAlienImage object from a file Returns True if file is a XWD file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Writes content of a SGIRGBAlienImage object to a file .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AlienImage_SGIRGBAlienData | myData

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_SGIRGBAlienImage::AlienImage_SGIRGBAlienImage | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void AlienImage_SGIRGBAlienImage::Clear | ( |  | ) |

Standard_EXPORT void AlienImage_SGIRGBAlienImage::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT const AlienImage_SGIRGBAlienImage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienUserImage.

Standard_EXPORT const TCollection_AsciiString& AlienImage_SGIRGBAlienImage::Name | ( |  | ) | const

Standard_EXPORT Standard_Boolean AlienImage_SGIRGBAlienImage::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT void AlienImage_SGIRGBAlienImage::SetName | ( | const TCollection_AsciiString & | aName | ) |

Standard_EXPORT Handle_Image_Image AlienImage_SGIRGBAlienImage::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT Standard_Boolean AlienImage_SGIRGBAlienImage::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

## Field Documentation

Handle_AlienImage_SGIRGBAlienData AlienImage_SGIRGBAlienImage::myData `[private]`

The documentation for this class was generated from the following file:

- AlienImage_SGIRGBAlienImage.hxx